// Request parameters; ID is provided by the otp/send endpoint
$api_key = "PCW45-12345-12345-1234X";
$id = "OTP45-12345-12345-1234X";
$otp = "532132";

// Prepare request and encode user-entered parameters with %xx encoding
$request_url = "https://ws.postcoder.com/pcw/$api_key/otp/verify";

$data = array("id" => $id, "otp" => $otp);

$context = stream_context_create([
  "http" => [
    "header"  => "Content-type: application/x-www-form-urlencoded\r\n",
    "method"  => "POST",
    "content" => http_build_query($data),
    "ignore_errors" => true
  ]
]);

// Send request
$result = file_get_contents($request_url, false, $context);

// Process response
$status_line = $http_response_header[0];
preg_match("{HTTP\/\S*\s(\d{3})}", $status_line, $match);
$status_code = $match[1];

if ($status_code == 200) {
    $json = json_decode($result);
    echo($json->valid);
} else {
    echo("Request error");
}